# from https://github.com/a-a-maly/kumir2
# comment out when not pre-release
%define prel        rc9.20190320

%define uname       kumir2

%define rel         11

Name:           kumir
Version:        2.1.0
Release:        %mkrel %{?prel:0.%prel.}%{rel}
Summary:        Kumir is a simple programming language and IDE for teaching programming
License:        GPLv2
Group:          Education
Url:            http://lpm.org.ru/kumir
Source0:        https://github.com/victor-yacovlev/kumir2/archive/%{version}%{?prel:-%prel}/%{uname}-%{version}%{?prel:-%prel}.tar.xz
Source2:        test.vod
Patch1:         kumir2-2.1.0-LIB_BASENAME.patch
Patch2:         kumir2-fix-json.patch

BuildRequires:  gcc-c++
BuildRequires:  python3
BuildRequires:  cmake
BuildRequires:  git-core
BuildRequires:  boost-devel
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Script)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5X11Extras)

Provides:       %{uname} = %{version}-%{release}

%description
Implementation of Kumir programming language, designed by academician
Ershov. It has very simple syntax, also known as "Russian algorithmical
language". Includes compiler, runtime, IDE and  modules "Robot", "Draw",
"Turtle" and some others.

#------------------------------------------------

%package        devel
Summary:        Development package for %{name}
Group:          Development/C++
Requires:       %{name} = %{version}-%{release}
Provides:       %{uname}-devel = %{version}-%{release}

Conflicts:      kumir < 2.1.0-0.rc9.3

%description    devel
Header files for development with %{name}.

#------------------------------------------------

%prep
%setup -q -n %{uname}-%{version}%{?prel:-%prel}
%autopatch -p1
cp %{SOURCE2} .

# use system boost
rm -rf src/3rdparty/boost-1.54.0

%build
%cmake_qt5 \
	-DUSE_QT=5 \
	-DLIB_BASENAME=%{_lib}
%cmake_build

%install
%cmake_install

%files
%{_bindir}/*
%{_libdir}/%{uname}/
%{_datadir}/applications/%{uname}*.desktop
%{_iconsdir}/hicolor/*/*/*
%{_datadir}/%{uname}/
%{_datadir}/mime/packages/%{uname}-mimetypes.xml

%files devel
%{_includedir}/%{uname}/
%{_includedir}/%{uname}-libs/
%{_libdir}/cmake/Kumir2/


%changelog
* Thu Mar 23 2023 daviddavid <daviddavid> 2.1.0-0.rc9.20190320.11.mga9
+ Revision: 1950174
- drop no more needed by the project Qt5WebKit build dependency

* Fri Jul 08 2022 papoteur <papoteur> 2.1.0-0.rc9.20190320.10.mga9
+ Revision: 1868006
- fix build failing in a python script
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 2.1.0-0.rc9.20190320.9.mga8
+ Revision: 1658817
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 2.1.0-0.rc9.20190320.8.mga8
+ Revision: 1526053
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Wed Apr 24 2019 daviddavid <daviddavid> 2.1.0-0.rc9.20190320.7.mga7
+ Revision: 1395089
- update to latest git snapshot: 2.1.0-rc9.git20190320 (thus fixing build)
- remove merged upstream patches
- add patch to fix build with Python 3.7
+ umeabot <umeabot>
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.1.0-0.rc9.6.mga7
+ Revision: 1298684
- Mageia 7 Mass Rebuild

* Fri Jul 20 2018 pterjan <pterjan> 2.1.0-0.rc9.5.mga7
+ Revision: 1244401
- Try harder to force LIB_BASENAME

* Thu Jul 19 2018 wally <wally> 2.1.0-0.rc9.4.mga7
+ Revision: 1244349
- force LIB_BASENAME for correct paths on aarch64

* Mon May 14 2018 daviddavid <daviddavid> 2.1.0-0.rc9.3.mga7
+ Revision: 1229407
- port to Qt5
- add upstream patch to fix build with Qt 5.9.x
- use system boost
- provides kumir2
- split out header files into own subpkg

* Tue Apr 03 2018 kekepower <kekepower> 2.1.0-0.rc9.2.mga7
+ Revision: 1215052
- BR git
- BR cmake
- Update to version 2.1.0-rc9

* Sat Feb 20 2016 umeabot <umeabot> 1.9.1-0.r2810.2.mga6
+ Revision: 972476
- Mageia 6 Mass Rebuild

* Sun Nov 08 2015 alexl <alexl> 1.9.1-0.r2810.1.mga6
+ Revision: 898984
- update to version 1.9.1 (r2810)
- rediff build.patch
- s/patch/autopatch/

* Wed Jan 07 2015 alexl <alexl> 1.9.0-6.mga5
+ Revision: 808972
- updated desktop file

* Sun Nov 16 2014 alexl <alexl> 1.9.0-5.mga5
+ Revision: 797564
- revert wrong commit 612888

* Wed Oct 15 2014 umeabot <umeabot> 1.9.0-4.mga5
+ Revision: 750003
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.9.0-3.mga5
+ Revision: 681237
- Mageia 5 Mass Rebuild

* Tue Apr 08 2014 alexl <alexl> 1.9.0-2.mga5
+ Revision: 612888
- delete empty file
- fix incorrect author's permissions

* Tue Apr 08 2014 alexl <alexl> 1.9.0-1.mga5
+ Revision: 612881
- imported package kumir

